<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Auth;

class BookingRequestChartController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    //

    public function index()
    {
        if(!UserAccessController::check_access(18, 'read')){
           return redirect('/no_access');
        }


        $carTypes = DB::select(' select id,carName,IFNULL(CO,0) as CO from lkp_cartypes
      left join
      (select carTypeId,count(*) as CO from
      booking_requests
      where companyId='.Auth::user()->companyId.'
      group by carTypeId)a on a.carTypeId=lkp_cartypes.id
      where companyId='.Auth::user()->companyId.'
      order by  CO desc');

        $requestridestatus = DB::select(' select id,rideStatus,IFNULL(CO,0) as CO from lkp_requestridestatus
      left join
      (select rideStatusId,count(*) as CO from
      booking_requests
      where companyId='.Auth::user()->companyId.'
      group by rideStatusId)a on a.rideStatusId=lkp_requestridestatus.id
      order by  CO desc');

        $paymenttypes = DB::select(' select id,paymentType,IFNULL(CO,0) as CO from lkp_paymenttype
      left join
      (select paymentTypeId,count(*) as CO from
      booking_requests
      where companyId='.Auth::user()->companyId.'
      group by paymentTypeId)a on a.paymentTypeId=lkp_paymenttype.id
      order by  CO desc');



        $validitys = DB::table('driver_vehicles')
            ->select(DB::raw('
        sum( if( validityId = 1, 1, 0 ) ) AS Approved,  sum( if( validityId = 2, 1, 0 ) ) AS NotApproved,sum( if( validityId = 3, 1, 0 ) ) AS Pending
        '))
            ->where('driver_vehicles.companyId', Auth::user()->companyId)
            ->get();

        return view('BookingRequests.BookingRequestchart')
            ->with(compact('carTypes'))
            ->with(compact('paymenttypes'))
            ->with(compact('requestridestatus'));
    }


}
