<?php

namespace App\Http\Controllers;

use App\DailyPassengerRegistration;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Auth;
use Carbon;

class DailyPassengerRegistrationController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if(!UserAccessController::check_access(7, 'read')){
           return redirect('/no_access');
        }

        $Select_db = DB::table('passengers')
            ->select(DB::raw('date(created_at) AS Register_Date,count(*) AS CO' ))
            ->groupBy('Register_Date');
        if (request()->ajax()) {

            if (!empty($request->filter_Register_Date)) {
               // $filter_Register_Date = explode(" - ", $request->filter_Register_Date);
                $filter_Register_Date = explode(" to ", $request->filter_Register_Date);
                $filter_Register_Date[0] = Carbon\Carbon::parse($filter_Register_Date[0])->format('Y-m-d');
                $filter_Register_Date[1] = Carbon\Carbon::parse($filter_Register_Date[1])->format('Y-m-d');

                //$Select_db->whereRaw("CAST(passengers.created_at as date) between STR_TO_DATE('$filter_Register_Date[0]','%d/%m/%Y') and STR_TO_DATE('$filter_Register_Date[1]','%d/%m/%Y')");
                
                $Select_db->whereRaw("created_at between '$filter_Register_Date[0]' and '$filter_Register_Date[1]' ");
            }

            $data = $Select_db->get();
            return datatables()->of($data)->make(true);
        }
        $data = $Select_db->get();
        //$DailyPassengerRegistration = DailyPassengerRegistration::orderBy('created_at', 'desc')->paginate(10);
        return view('DailyPassengerRegistration.index');
        //return view('custom_search', compact('country_name'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function update(Request $request, $id)
    {
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

    }
}
