<?php

namespace App\Http\Controllers;

//use App\OrderReceipts;
use DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Auth;
use Carbon;

class OrderReceiptsController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if(!UserAccessController::check_access(22, 'read')){
           return redirect('/no_access');
        }



        $lkp_paymenttype = DB::select('SELECT id,paymentType from lkp_paymenttype order by paymentType');
        $lkp_paymentstatus = DB::select('SELECT * from lkp_paymentstatus order by id');


        $Select_db = DB::table('order_receipts')->select('order_receipts.id as id', 'orderId', 'order_receipts.customerId', 'passengers.name as passenger_name',
            'order_receipts.driverId as driverId', 'drivers.name as driver_name',
            'totalAmountPaid', 'companyProfit','gross_income', 'driverProfit',  'vatTax',
            'paymentStatusId', 'status', 'paymentTypeId', 'paymentType', 'order_receipts.created_at', 'order_receipts.updated_at')
            ->leftJoin('drivers', 'order_receipts.driverId', '=', 'drivers.id')
            ->leftJoin('passengers', 'order_receipts.customerId', '=', 'passengers.id')
            ->leftJoin('lkp_paymenttype', 'order_receipts.paymentTypeId', '=', 'lkp_paymenttype.id')
            ->leftJoin('lkp_paymentstatus', 'order_receipts.paymentStatusId', '=', 'lkp_paymentstatus.id')
           ;


        if (request()->ajax()) {


            if (!empty($request->filter_orderId)) {
                $Select_db->where('order_receipts.orderId', $request->filter_orderId);
            }
            if (!empty($request->filter_customerId)) {
                $Select_db->where('order_receipts.customerId', $request->filter_customerId);
            }
            if (!empty($request->filter_driverId)) {
                $Select_db->where('order_receipts.driverId', $request->filter_driverId);
            }
            if (!empty($request->filter_totalAmountPaid)) {
                $Select_db->where('order_receipts.totalAmountPaid', $request->filter_totalAmountPaid);
            }
            if (!empty($request->filter_companyProfit)) {
                $Select_db->where('order_receipts.companyProfit', $request->filter_companyProfit);
            }
            if (!empty($request->filter_driverProfit)) {
                $Select_db->where('order_receipts.driverProfit', $request->filter_driverProfit);
            }
            if (!empty($request->filter_driverProfit)) {
                $Select_db->where('order_receipts.driverProfit', $request->filter_driverProfit);
            }
            if (!empty($request->filter_vatTax)) {
                $Select_db->where('order_receipts.vatTax', $request->filter_vatTax);
            }
            if (!empty($request->filter_paymentStatusId)) {
                $Select_db->where('order_receipts.paymentStatusId', $request->filter_paymentStatusId);
            }
            if (!empty($request->filter_paymentTypeId)) {
                $Select_db->where('order_receipts.paymentTypeId', $request->filter_paymentTypeId);
            }
             if (!empty($request->filter_created_at)) {
                $filter_created_at = explode(" to ", $request->filter_created_at);
                  $filter_created_at[0] = Carbon\Carbon::parse($filter_created_at[0])->format('Y-m-d');
                $filter_created_at[1] = Carbon\Carbon::parse($filter_created_at[1])->format('Y-m-d');
                //$Select_db->whereRaw("CAST(booking_receipts.created_at as date) between STR_TO_DATE('$filter_created_at[0]','%d/%m/%Y') and STR_TO_DATE('$filter_created_at[1]','%d/%m/%Y')");
                 $Select_db->whereRaw("order_receipts.created_at between '$filter_created_at[0]' and '$filter_created_at[1]' ");
            }
            if (!empty($request->filter_updated_at)) {
                $filter_updated_at = explode(" to ", $request->filter_updated_at);
                 $filter_updated_at[0] = Carbon\Carbon::parse($filter_updated_at[0])->format('Y-m-d');
                $filter_updated_at[1] = Carbon\Carbon::parse($filter_updated_at[1])->format('Y-m-d');
                //$Select_db->whereRaw("CAST(booking_receipts.updated_at as date) between STR_TO_DATE('$filter_updated_at[0]','%d/%m/%Y') and STR_TO_DATE('$filter_updated_at[1]','%d/%m/%Y')");
                $Select_db->whereRaw("order_receipts.updated_at between '$filter_updated_at[0]' and '$filter_updated_at[1]' ");
            }
            $data = $Select_db->get();
            return datatables()->of($data)->make(true);
        }

        $data = $Select_db->get();
        //$OrderReceipts = OrderReceipts::orderBy('created_at', 'desc')->paginate(10);
        return view('OrderReceipts.index')->with(compact('lkp_paymentstatus'))->with(compact('lkp_paymenttype'));
        //return view('custom_search', compact('country_name'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public
    function create()
    {


    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public
    function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public
    function show($id)
    {
        if(!UserAccessController::check_access(22, 'read')){
           return redirect('/no_access');
        }

        $OrderReceipts = DB::table('order_receipts')->select('order_receipts.id as id', 'orderId', 'customerId', 'passengers.name as passenger_name',
            'order_receipts.driverId as driverId', 'drivers.name as driver_name',
            'totalAmountPaid', 'companyProfit', 'gross_income', 'driverProfit', 'vatTax',
            'paymentStatusId', 'status', 'paymentTypeId', 'paymentType', 'order_receipts.created_at', 'order_receipts.updated_at')
            ->leftJoin('drivers', 'order_receipts.driverId', '=', 'drivers.id')
            ->leftJoin('passengers', 'order_receipts.customerId', '=', 'passengers.id')
            ->leftJoin('lkp_paymenttype', 'order_receipts.paymentTypeId', '=', 'lkp_paymenttype.id')
            ->leftJoin('lkp_paymentstatus', 'order_receipts.paymentStatusId', '=', 'lkp_paymentstatus.id')
            ->where('order_receipts.id', $id)
            ->first();
        return view('OrderReceipts.show')->with(compact('OrderReceipts'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public
    function edit($id)
    {

    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public
    function update(Request $request, $id)
    {

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public
    function destroy($id)
    {

    }

}
