<?php

namespace App\Http\Controllers;

use App\PassengerVerification;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Auth;
use Carbon;

class PassengerVerificationController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if(!UserAccessController::check_access(24, 'read')){
           return redirect('/no_access');
        }

        $Select_db = DB::table('mobileverification')
            ->select('mobileverification.id as id', 'mobile', 'code', 'created_at', 'updated_at')
            ->where('mobileverification.companyId', Auth::user()->companyId);
        if (request()->ajax()) {
            if (!empty($request->filter_mobile)) {
                $Select_db->where('mobileverification.mobile', $request->filter_mobile);
            }
            if (!empty($request->filter_code)) {
                $Select_db->where('mobileverification.code', $request->filter_code);
            }

             if (!empty($request->filter_created_at)) {
                $filter_created_at = explode(" to ", $request->filter_created_at);
                   $filter_created_at[0] = Carbon\Carbon::parse($filter_created_at[0])->format('Y-m-d');
                $filter_created_at[1] = Carbon\Carbon::parse($filter_created_at[1])->format('Y-m-d');
               // $Select_db->whereRaw("CAST(driver_mobileverification.created_at as date) between STR_TO_DATE('$filter_created_at[0]','%d/%m/%Y') and STR_TO_DATE('$filter_created_at[1]','%d/%m/%Y')");
                $Select_db->whereRaw("mobileverification.created_at between '$filter_created_at[0]' and '$filter_created_at[1]' ");
            }
            if (!empty($request->filter_updated_at)) {
                  $filter_updated_at = explode(" to ", $request->filter_updated_at);
                $filter_updated_at[0] = Carbon\Carbon::parse($filter_updated_at[0])->format('Y-m-d');
                $filter_updated_at[1] = Carbon\Carbon::parse($filter_updated_at[1])->format('Y-m-d');
                $Select_db->whereRaw("mobileverification.updated_at between '$filter_created_at[0]' and '$filter_created_at[1]'");
            }

            $data = $Select_db->get();
            return datatables()->of($data)->make(true);
        }
        $data = $Select_db->get();
        //$PassengerVerification = PassengerVerification::orderBy('created_at', 'desc')->paginate(10);
        return view('PassengerVerification.index');
        //return view('custom_search', compact('country_name'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function update(Request $request, $id)
    {
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

    }
}
