<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Passengers;
use DB;
use Illuminate\Support\Facades\Auth;
class PassengerWindowController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        $Select_db = DB::table('passengers')
            ->select('passengers.id', 'name', 'genderId', 'lkp_gender.gender as gender_name', 'email', 'mobile', 'loginStatusId', 'lkp_login.status as loginStatus_name', 'created_at', 'deviceType', 'deviceType_name', 'validityId', 'lkp_validity.status as validity_name', 'profileImage')
            ->leftJoin('lkp_devicetype', 'passengers.deviceType', '=', 'lkp_devicetype.id')
            ->leftJoin('lkp_login', 'passengers.loginStatusId', '=', 'lkp_login.id')
            ->leftJoin('lkp_gender', 'passengers.genderId', '=', 'lkp_gender.id')
            ->leftJoin('lkp_validity', 'passengers.validityId', '=', 'lkp_validity.id')
            ->where('passengers.companyId', Auth::user()->companyId);
        if (request()->ajax()) {

            if (!empty($request->filter_name)) {
                $Select_db->whereRaw("UPPER(name) LIKE '%" . strtoupper($request->filter_name) . "%'");
            }
            if (!empty($request->filter_email)) {
                $Select_db->whereRaw("UPPER(email) LIKE '%" . strtoupper($request->filter_email) . "%'");
            }
            if (!empty($request->filter_mobile)) {
                $Select_db->whereRaw("UPPER(mobile) LIKE '%" . strtoupper($request->filter_mobile) . "%'");
            }

            if (!empty($request->filter_deviceType)) {
                $Select_db->where('deviceType', $request->filter_deviceType);
            }
            if (!empty($request->filter_loginStatus)) {
                $Select_db->where('loginStatusId', $request->filter_loginStatus);
            }
            if (!empty($request->filter_validity)) {
                $Select_db->where('validityId', $request->filter_validity);
            }
            if (!empty($request->filter_gender)) {
                $Select_db->where('genderId', $request->filter_gender);
            }
            if (!empty($request->filter_created_at)) {
                $filter_created_at = explode(" - ", $request->filter_created_at);
                $Select_db->whereRaw("CAST(created_at as date) between STR_TO_DATE('$filter_created_at[0]','%d/%m/%Y') and STR_TO_DATE('$filter_created_at[1]','%d/%m/%Y')");
            }
            $data = $Select_db->get();
            return datatables()->of($data)->make(true);
        }

        $data = $Select_db->get();      //$Passengers = Passengers::orderBy('created_at', 'desc')->paginate(10);
        return view('Passengers.PassengerWindow');
        //return view('custom_search', compact('country_name'));
    }


}
