<?php

namespace App\Http\Controllers;

use DB;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use File;
use App\Http\Middleware;
use stdClass;

//use Illuminate\Support\Facades\DB;

class UserAccessController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    private  static function check_admin($user_id, $user_access_orig){
        if($user_id->role_id ==1){
            $user_access =new stdClass();
            $user_access->read = 1;
            $user_access->write = 1;
            $user_access->denied = 0;
            return $user_access;

        }else{
            return $user_access_orig;
        }
    }

    public static function user_main_access($name)
    {
       $user_id = Auth::user()->id;
       

        //Check user access table for access

        $user_access = DB::table('user_access')->select('read', 'write', 'denied')->where('user_id','=', $user_id)->get();

        if(count($user_access) ==0){
            $user_access->read = 0;
            $user_access->write = 0;
            $user_access->denied = 0;
        }else{
            $user_access = $user_access[0];
        }

        return UserAccessController::check_admin(Auth::user(), $user_access);
        
    }


    public static function user_screen_access($menu_id)
    {
       $user_id = Auth::user()->id;
       
        $user_access = DB::table('menu_pivot')->select('read', 'write', 'denied')->where('user_id',  '=', $user_id)->where('menu_id','=', $menu_id)->get();
        if(count($user_access) ==0){
            $user_access->read = 0;
            $user_access->write = 0;
            $user_access->denied = 0;
        }else{
            $user_access = $user_access[0];
        }

        return UserAccessController::check_admin(Auth::user(), $user_access);
    }


    public static function user_screen_all_access($name)
    {
       $user_id = Auth::user()->id;
       

        //Check user access table for access
       $menu_id = DB::table('user_access_menu')->select('id', 'route')->get();
       $access = [];
       foreach($menu_id as $menu){

        $pivot = DB::table('menu_pivot')->select('read', 'write', 'denied')->where('user_id',  '=', $user_id)->where('menu_id','=', $menu->id)->get();

        if(count($pivot) ==0){
              
            $pivot->read = 0;
            $pivot->write = 0;
            $pivot->denied = 0;

        }else{
            
            $pivot = $pivot[0];
        }
        $pivot= UserAccessController::check_admin(Auth::user(), $pivot);

        $access[$menu->id] = array("read"=>$pivot->read,"write"=>$pivot->write,"denied"=>$pivot->denied);


       }
       return $access;
        
    }

    public static function user_group_all_access()
    {
       $user_id = Auth::user()->id;
       

        //Check user access table for access
       $group_id = DB::table('user_access_group')->select('id', 'name')->get();
       $access = [];
       foreach($group_id as $group){

        $pivot = DB::table('menu_pivot')->select('read', 'write', 'denied')->where('user_id',  '=', $user_id)->where('group_id','=', $group->id)->get();

        if(count($pivot) ==0){
              
            $pivot->read = 0;
            $pivot->write = 0;
            $pivot->denied = 0;

        }else{
            
            $pivot = $pivot[0];
        }

        $pivot= UserAccessController::check_admin(Auth::user(), $pivot);

        $access[$group->id] = array("read"=>$pivot->read,"write"=>$pivot->write,"denied"=>$pivot->denied);


       }
       return $access;
        
    }    

    public static function check_access($menu, $type)
    {
        $main_user = UserAccessController::user_main_access('');
        $user_screen = UserAccessController::user_screen_access($menu);  
        
        
        if(($main_user->denied ==0 && $user_screen->denied ==0) && ($user_screen->{$type} ==1 )){
           return true;
        }else{

             return false;
        }
    }


}


