<?php

namespace App\Http\Controllers;

use App\UsersMenu;
use App\UsersPrivilege;
use DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Auth;
use Illuminate\Middleware\UserAccessChecks;

class UsersPrivilegeController extends Controller
{
    protected $menu = 14;

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {


        

        // return session('menu');

        /* if (!Gate::allows('privilage', [$this->menu, 'read'])) {
             abort(404, "Sorry, You can do this actions");
             //return response()->json('404 error', 404);
         }
        */



                 $UsersMenu = DB::table('users')
                ->select(
                    'users.id as userId', 'users.name','users.email', 'users.role_id', 'user_access.read', 'user_access.write', 'user_access.denied')
                ->leftJoin('user_access', 'user_access.user_id', '=', 'users.id')
                
                ->get();
                $users_role = DB::select('SELECT * from users_role');
               
               

         return view('UsersPrivilege.index')->with('UsersMenu', $UsersMenu)->with('users_role',$users_role);

        $UsersRole = DB::select('SELECT role_name from users_role where companyId=' . Auth::user()->companyId . ' and id=' . $id)[0];


        $UsersMenu = DB::table('lkp_menu')
            ->select('lkp_menu.*', 'users_privilege.read as read', 'users_privilege.create as create',
                'users_privilege.update as update', 'users_privilege.delete as delete')
            ->leftJoin(DB::raw('(SELECT * FROM users_privilege where companyId=' . Auth::user()->companyId . ' and role_id=' . $id . ')
        users_privilege'),
                function ($join) {
                    $join->on('lkp_menu.id', '=', 'users_privilege.menu_id');
                })
            ->orderBy('lkp_menu.id', 'ASC')
            ->get();

        // $UsersMenu = UsersMenu::all();
        return view('UsersPrivilege.index')->with('UsersMenu', $UsersMenu)->with('id', $id)->with('name', $UsersRole->role_name);
    }


    private function get_on_status($status){
        if($status =='on'){
            return 1;
        }else{
            return 0;
        }
    }
    private function read_status($user_menu, $type)
    {
        

         if(isset($user_menu[$type])){
                       
                       return $this->get_on_status($user_menu[$type]);
                       }else{
                        return 0;
                       }


    }

    public function store(Request $request)
    {


        $menu_limit = DB::table('user_access_menu')->max('id');
        $group_limit = DB::table('user_access_group')->max('id');
        
        
        
        DB::table('user_access')->truncate();
        DB::table('menu_pivot')->truncate();
        //dd($request->get('data'));
        foreach($request->get('data') as $user_id=>$settings){

            $user_id = $user_id;
            $user_role = $settings['user_role'];

            DB::table('users')->where('id','=',$user_id)->update(["role_id" => $user_role]);

            
            $user_menu = [];
            $user_groups = [];
            if(isset($settings['menu'])){
                $user_menu = $settings['menu'];
            }
            if(isset($settings['group'])){
                $user_groups = $settings['group'];
            }

            $user_read = 0;
            $user_write = 0;
            $user_denied = 0;
            
            if(isset($settings['read'])){
                $user_read = $this->get_on_status($settings['read']);
            }

            if(isset($settings['write'])){
                $user_write = $this->get_on_status($settings['write']);
            }

            if(isset($settings['denied'])){
                $user_denied = $this->get_on_status($settings['denied']);
            }




            for($i=1;$i<=$menu_limit;$i++){
                $menu_id = 0;
                $read = 0;
                $write=0;
                $denied = 0;
                $menu_id = $i;

//Getting user menu data

                if(isset($user_menu[$i])){

                    

                    $read = $this->read_status($user_menu[$i], 'read');
                    $write = $this->read_status($user_menu[$i], 'write');
                    $denied = $this->read_status($user_menu[$i], 'denied');

                    $user_menu_arr = [
                    'user_id' => $user_id,
                    'menu_id' => $i,
                     'read' => $read,
                     'write' => $write,
                     'denied' => $denied

                 ];

                    


                }else{

                    $user_menu_arr = [
                    'user_id' => $user_id,
                    'menu_id' => $i,
                     'read' => 0,
                     'write' => 0,
                     'denied' => 0

                 ];

                }

                DB::table('menu_pivot')->insert(
                 $user_menu_arr
                );
       
}
    
            
            for($i=1;$i<=$group_limit;$i++){
                $menu_id = 0;
                $read = 0;
                $write=0;
                $denied = 0;
                $menu_id = $i;

//Getting user menu data



                //Getting user group data

                if(isset($user_groups[$i])){

                    

                    $read = $this->read_status($user_groups[$i], 'read');
                    $write = $this->read_status($user_groups[$i], 'write');
                    $denied = $this->read_status($user_groups[$i], 'denied');

                    $user_group_arr = [
                    'user_id' => $user_id,    
                    'group_id' => $i,    
                    'menu_id' => 0,
                     'read' => $read,
                     'write' => $write,
                     'denied' => $denied

                 ];

                    


                }else{

                    $user_group_arr = [
                    'user_id' => $user_id,
                    'menu_id' => 0,
                    'group_id' => $i,
                     'read' => 0,
                     'write' => 0,
                     'denied' => 0

                 ];

                }

                DB::table('menu_pivot')->insert(
                 $user_group_arr
                );





                

            
}
            
            
                DB::table('user_access')->insert(
                 ['user_id' => $user_id, 'read' => $user_read,'write' => $user_write,'denied' => $user_denied]
                );


            //echo $user_query." == read={$user_read} write={$user_write} denied={$user_denied}";

        }

       return redirect('/UsersPrivilage')->with('success', 'Done successfully');

        //DB::table('users_privilege')->where('role_id', $request->input('role_id'))->delete();
        $UsersMenu = UsersMenu::all();
        foreach ($UsersMenu as $User_Menu) {
            $Read = empty($request->input("Read_$User_Menu->id")) ? 'null' : $request->input("Read_$User_Menu->id");
            $Create = empty($request->input("Create_$User_Menu->id")) ? 'null' : $request->input("Create_$User_Menu->id");
            $Update = empty($request->input("Update_$User_Menu->id")) ? 'null' : $request->input("Update_$User_Menu->id");
            $Delete = empty($request->input("Delete_$User_Menu->id")) ? 'null' : $request->input("Delete_$User_Menu->id");

            try {

                DB::insert("INSERT INTO users_privilege (companyId,role_id,menu_id,`read`,`create`,`update`,`delete`,
                    created_at,updated_at)
                    VALUES (
                    " . Auth::user()->companyId . ",
                    " . $request->input('role_id') . ",
                    " . $User_Menu->id . ",
                    " . $Read . ",
                    " . $Create . ",
                    " . $Update . ",
                    " . $Delete . ",
                        '" . date("Y-m-d H:i:s") . "',
                        '" . date("Y-m-d H:i:s") . "'
                    )ON DUPLICATE KEY UPDATE
                    companyId = " . Auth::user()->companyId . ",
                    role_id = " . $request->input('role_id') . ",
                    menu_id = " . $User_Menu->id . ",
                    `read` = " . $Read . ",
                    `create` = " . $Create . ",
                    `update` = " . $Update . ",
                    `delete` = " . $Delete . ",
                    updated_at = '" . date("Y-m-d H:i:s") . "'
                    ");

            } catch (\Illuminate\Database\QueryException $e) {
                return redirect('/UsersRole')->with('error', $e->getPrevious()->getMessage());
            }


        }


        return redirect('/UsersRole')->with('success', 'Done successfully');

    }
}
