 @extends('AdminLayout')
@section('content')
 <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Car Type</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Car Type</h4>
                                </div>
                            </div>
                        </div>

                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Car Type</h4>
                                            </div>
                                            <div class="col-md-6 text-right">
                                                <a href="{{ route('CarTypes.create') }}"  class="btn btn-primary btn-rounded  ">Add New Car Type <i class="fe-arrow-right"></i></a>
                                            </div>
                                        </div>
                                        
                                        
                                        <table id="customer_data" class="table dt-responsive nowrap w-100">
                                            <thead class="thead-light">
                                                <tr>
                                                    <th>Image</th>
                                                    <th>EN</th>
                                                    <th>AR</th>
                                                    <th>Opening Counter<br>
                                                        Price (SAR)</th>
                                                    <th>Distance Cost<br>
                                                        Rate (SARs / KM)</th>
                                                    <th>Time Cost <br>
                                                        Rate (SARs / Min)</th>
                                                        <th>Distance Cost <br>
                                                        Rush (SARs / Min)</th>
                                                         <th>Time Cost <br>
                                                        Rush (SARs / Min)</th>
                                                    <th>Number <br>
                                                        of Seat</th>
                                                    <th>Status</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                                
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>

                                                                         
                                            <div class="modal fade" id="centermodal" tabindex="-1" role="dialog" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                    </div>

                                                     <form class="w3-container" action="" method="POST" id="delete_form">
                                                            {{method_field('DELETE')}}                                                            
                                                            @csrf
                                                            </form>

                                                    <div class="modal-body m-4">
                                                        <div class="text-center">
                                                            <div class="delete-icon-box">
                                                                <i class="dripicons-trash"></i>
                                                            </div>
                                                            <h2 class="mt-2 mb-2">Delete</h2>
                                                             <h4 class="mt-2 mb-2">Are you sure you want to delete?  </h4>
                                                             <input type="hidden" value="" id="delete-id">
                                                            <button type="submit"  id="delete-yes" class=" btn btn-primary btn-rounded mr-3" data-dismiss="modal">Yes</button> 
                                                            <button type="submit"  id="delete-no"  class=" btn btn-outline-primary btn-rounded waves-effect waves-light" data-dismiss="modal" aria-hidden="true">No</button> 
                                                        </div>
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->
                                        @include('CarTypes.show_popup')
                        <!-- end row-->
                        <!-- End Page Body -->
                    </div> 

                        <script>
        $(document).ready(function () {
            fill_datatable();

            function fill_datatable(filter_name = '', filter_email = '', filter_mobile = '', filter_deviceType = '', filter_loginStatus = '', filter_validity = '', filter_gender = '', filter_created_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" }, 
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('CarTypes.index') }}",
                        data: {
                            filter_name: filter_name, filter_email: filter_email, filter_mobile: filter_mobile,
                            filter_deviceType: filter_deviceType, filter_loginStatus: filter_loginStatus,
                            filter_validity: filter_validity, filter_gender, filter_created_at: filter_created_at
                        }
                    },
                    columns: [
                        {
                            data: 'carImage',
                            name: 'carImage',
                            render: function (data, type, row, meta) {
                                return '<img src="{{asset("/images")}}' + "/" + data + '" style=" border-radius: 40px; background-color: #62A8EA; height: 60px; width: 70px;"></a>';
                            }
                        },
                        {
                            data: 'carName',
                            name: 'carName',
                            //visible:false
                        },
                        {
                            data: 'arabicName',
                            name: 'arabicName',
                            //visible:false
                        },
                        {
                            data: 'Counterprice',
                            name: 'Counterprice',
                            //visible:false
                        },
                        {
                            data: 'priceByDistence',
                            name: 'priceByDistence',
                        },
                        {
                            data: 'priceByTime',
                            name: 'priceByTime',
                        },
                        {
                            data: 'rushHoursPBD',
                            name: 'rushHoursPBD',
                        },
                        {
                            data: 'rushHoursPBT',
                            name: 'rushHoursPBT',
                        },
                        {
                            data: 'NumberOfSeat',
                            name: 'NumberOfSeat',
                        },
                        {
                            data: 'active',
                            name: 'active',
                            render: function (data, type, row, meta) {
                                if (row.status_id == "1") {
                                    return '<span class="badge badge-soft-success">' + data + '</span>';
                                } else if (row.status_id == "0") {
                                    return '<span class="badge badge-soft-danger">' + data + '</span>';
                                }
                            }
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                   return '<input id="name_' + row.id + '" type="hidden" value="' + row.name + '">' +
                                    '<a href="void:javascript" id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="edit button-icon editicon"> <i class="fe-edit-1"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="button-icon deleteicon delete"> <i class="fe-trash-2"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon view viewicon"> <i class="fa fa-eye"></i> </a>'
                                    


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                //window.location.href="{{URL("/CarTypes")}}" + "/" + id
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/CarTypes")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                       // document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                        $('#car-type').modal('show');
                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                window.location.href="{{URL("/CarTypes")}}" + "/" + id + "/edit"
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/CarTypes")}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });
            $('#customer_data tbody').on('click', '.delete', function (e) {
                e.preventDefault();
                 var id = $(this).attr('id');
                $('#centermodal').modal('show')
                $('#delete-id').val(id)


            });


                $('#delete-no').on('click', function (e) {

                $('#centermodal').modal('hide')


            });


                $('#delete-yes').on('click', function (e) {
                e.preventDefault();                
                var delete_id = $('#delete-id').val();
                document.getElementById('delete_form').action = "{{URL("/CarTypes")}}" + "/" + delete_id;
                $("#delete_form").submit();
                        


            });










            $('#filter').click(function () {
                if ($('#filter_name').val() != '' || $('#filter_email').val() != '' || $('#filter_mobile').val() != '' || $('#filter_deviceType').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_validity').val() != '' || $('#filter_gender').val() != '' || $('#filter_created_at').val() != '') {
                    card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_name').val(), $('#filter_email').val(), $('#filter_mobile').val(), $('#filter_deviceType').val(), $('#filter_loginStatus').val(), $('#filter_validity').val(), $('#filter_gender').val(), $('#filter_created_at').val());
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_name').val('');
                $('#filter_email').val('');
                $('#filter_mobile').val('');
                $('#filter_deviceType').val('');
                $('#filter_loginStatus').val('');
                $('#filter_validity').val('');
                $('#filter_gender').val('');
                $('#filter_created_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function add() {
            $.ajax({
                type: 'GET',
                url: "{{URL("/CarTypes")}}" + "/create",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }
    </script>


                    @endsection