  @extends('AdminLayout')
@section('content')

 <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Daily Passengers Registration</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Daily Passengers Registration</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Daily Passanger Registration</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                                <div class="modal-dialog modal-md modal-right">
                                                    <div class="modal-content">
                                                        <div class="modal-header border-0">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        </div>
                                                        <div class="modal-body p-4">
                                                           
                                                                <div class="row">
                                                                    <div class="col-lg-12 ">
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <div class="form-group">
                                                                                    <input class="form-control input-round range-picker" name="filter_Register_Date"  type="text"  id="filter_Register_Date" placeholder="Created at">

                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="mt-2">
                                                                            <button type="submit" name="filter" id="filter" class="   btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                            <button type="submit" name="reset" id="reset" class="   btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                        </div>
                                                                    </div> <!-- end col -->
                                                                </div>
                                                          
                                                        </div>
                                                    </div><!-- /.modal-content -->
                                                </div><!-- /.modal-dialog -->
                                            </div><!-- /.modal -->
                                            <div class="col-md-6 text-right">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive nowrap w-100">
                                            <thead class="thead-light">
                                                <tr>
                                                    
            <TH>Register Date</TH>
            <TH>Count</TH>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>

                                                
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->
                    </div> <!-- container -->

                        <script>
        $(document).ready(function () {

            fill_datatable();


            function fill_datatable( filter_Register_Date = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    drawCallback: function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('DailyPassengerRegistration.index') }}",
                        data: {

                            filter_Register_Date: filter_Register_Date,
                        }

                    },

                    columns: [
                                                {
                            data: 'Register_Date',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },
                        {
                            data: 'CO',
                            name: 'CO',
                        },


                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Trips")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });


            $('#filter').click(function () {

                if ( $('#filter_Register_Date').val() != '' ) {
                    //card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable( $('#filter_Register_Date').val());
                    $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {


                $('#filter_Register_Date').val('');


                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });


    </script>

                     @endsection


