@extends('AdminLTE')
@section('content')

    <!-- Content Header (Page header) -->
    <div style="width:100%;margin: 0px;">
        <div style="float:left;margin-top: 7px;margin-bottom:  5px;"><h2
                    style="width:100%;font-size: 14px;font-weight: bold;">Daily Passenger Registration</h2>
        </div>
    </div>
    <!-- /.content-header -->
    <!--class="w3-table-all w3-card-4"-->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        function card_min() {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }

        function card_change() {
            if (document.getElementById('card-body1').style.display == 'none') {
                document.getElementById('card-body1').style.display = '';
                document.getElementById('card-footer1').style.display = '';
                document.getElementById("corner").className = "fas fa-minus";
            } else {
                document.getElementById('card-body1').style.display = 'none';
                document.getElementById('card-footer1').style.display = 'none';
                document.getElementById("corner").className = "fas fa-plus";
            }
        }
    </script>
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default" style="width:100%;clear:both;">
        <div class="card-header" style="margin-bottom: 0PX;">
            <button class="button_search" onclick="card_change()"><i class="fa fa-search"></i></button>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" onclick="card_change()"><i id="corner"
                                                                                      class="fas fa-minus"></i></button>
            </div>
        </div>
        <!-- /.card-header -->
        <div class="card-body" id="card-body1" style="display:none">
            <table id="search_table">

                <tr>
                    <TH>Register Date</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" style="width:250px" name="filter_Register_Date" id="filter_Register_Date" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_Register_Date"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_Register_Date"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_Register_Date"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>

                </tr>

            </table>
        </div>
        <!-- /.card-body -->
        <div class="card-footer" align="center" id="card-footer1" style="display:none">
            <button type="button" name="filter" id="filter" class="btn btn-sm btn-info">Filter</button>

            <button type="button" name="reset" id="reset" class="btn btn-sm btn-default">Reset</button>
        </div>
    </div>
    <!-- /.card -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->

    <!--w3-table-all w3-card-4-->
    <!-- table table-bordered table-striped  -->
    <!--table-responsive-->
    <table id="customer_data" class="table table-bordered table-striped ">
        <thead>
        <tr>
            <TH>Register Date</TH>
            <TH>Count</TH>
        </tr>
        </thead>
    </table>
    </div>
    <br/>
    <br/>
    </div>

    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <div id="edit_modal" class="w3-modal" style="padding-top:10px;">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:800px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('edit_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <div class="content-header" style="width:100%;">

            </div>
            <div style="width:100%;clear:both;" id="response">
            </div>

        </div>
    </div>

    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->



    <script>
        $(document).ready(function () {

            fill_datatable();


            function fill_datatable( filter_Register_Date = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    pagingType: "full_numbers",
                    autoWidth: false,
                    drawCallback: function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
                    },
                    ajax: {
                        url: "{{ route('DailyPassengerRegistration.index') }}",
                        data: {

                            filter_Register_Date: filter_Register_Date,
                        }

                    },

                    columns: [
                        {
                            data: 'Register_Date',
                            name: 'Register_Date',
                        },
                        {
                            data: 'CO',
                            name: 'CO',
                        },


                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Trips")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });


            $('#filter').click(function () {

                if ( $('#filter_Register_Date').val() != '' ) {
                    card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable( $('#filter_Register_Date').val());
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {


                $('#filter_Register_Date').val('');


                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });


    </script>
@endsection
