@extends('AdminLayout')
@section('content')

    <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active"> Driver Verification</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title"> Driver Verification</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4"> Driver Verification</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                                <div class="modal-dialog modal-md modal-right">
                                                    <div class="modal-content">
                                                        <div class="modal-header border-0">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        </div>
                                                        <div class="modal-body p-4">
                                                           
                                                                <div class="row">
                                                                    <div class="col-lg-12 ">
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="phone" class="form-control input-round telinput" id="filter_mobile" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_code" placeholder="Code" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_created_at" class="form-control input-round range-picker" placeholder="Created_At" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_updated_at" class="form-control input-round range-picker" placeholder="Updated_At" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="mt-2">
                                                                            <button type="submit" name="filter" id="filter" class=" btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                            <button type="submit" name="reset" id="reset" class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                        </div>
                                                                        
                                                                    </div> <!-- end col -->
                                                                </div>
                                                           
                                                        </div>
                                                    </div><!-- /.modal-content -->
                                                </div><!-- /.modal-dialog -->
                                            </div><!-- /.modal -->
                                            <div class="col-md-6 filter-buttons">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect mb-2" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive no w-100">
                                            
                                            <thead class="thead-light">
                                                <tr>
                                                    <th>Date</th>
                                                    <th>Mobile Number</th>
                                                    <th>Code</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                               
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->
                    </div> <!-- container -->



    <script>
        $(document).ready(function () {

            fill_datatable();


            function fill_datatable(filter_mobileNumber = '', filter_code = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('DriverVerification.index') }}",
                        data: {
                            filter_mobileNumber: filter_mobileNumber,
                            filter_code: filter_code,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,

                        }

                    },

                    columns: [
                        {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },
                        {
                            data: 'mobileNumber',
                            name: 'mobileNumber',
                        },
                        {
                            data: 'code',
                            name: 'code',
                        },


                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Trips")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });


            $('#filter').click(function () {

                if ($('#filter_mobileNumber').val() != '' || $('#filter_code').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                    //card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_mobileNumber').val(), $('#filter_code').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                     $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {

                $('#filter_mobileNumber').val('');
                $('#filter_code').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');


                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });


    </script>
             

@endsection
