  @extends('AdminLayout')
@section('content')

<link href="https://api.mapbox.com/mapbox-gl-js/v2.8.2/mapbox-gl.css" rel="stylesheet">
<script src="https://api.mapbox.com/mapbox-gl-js/v2.8.2/mapbox-gl.js"></script>


  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Heat Map</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Heat Map</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-md-12 col-xl-12">
                                <div class="card ">
                                    <div class="card-body p-2">
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <div class="route-map pt-2">
                                                    <div id="map" class="heatmap"></dev>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- End Page Body -->
                    </div> <!-- container -->

                      <script type="text/javascript">

   
mapboxgl.accessToken ='pk.eyJ1IjoibXVocmFoIiwiYSI6ImNrdm94OTl2M2Eza2YzMHM3N3JvdXZqOHkifQ.y9ZWJ9U_LTpqWEtM67Unmg';


const map = new mapboxgl.Map({
container: 'map', // container ID
style: 'mapbox://styles/mapbox/streets-v11', // style URL
center: [46.64966953851621,24.728825211922626], // starting position
zoom: 6 // starting zoom
});
 

map.addControl(new mapboxgl.FullscreenControl());
map.addControl(new mapboxgl.NavigationControl());


map.on('load', () => {



var url="{{URL('getHeatCoordinates/')}}"

$.getJSON(url , function (response) {

var data = response;
if(data.length ==0){
return false;
}

var source = {
    'type':'FeatureCollection',
    'features':[]
}

for(var i=0;i<data.length;i++){




geojson = JSON.parse(data[i].geojson)





if(data[i].type =="heat"){
console.log(geojson.type)

    for(var j=0;j<geojson.features.length;j++){


    source.features.push(geojson.features[j]);
}
}


    
}
map.addSource('earthquakes', {
            'type': 'geojson',
            'data': source
        });

        map.addLayer(
            {
                'id': 'earthquakes-heat',
                'type': 'heatmap',
                'source': 'earthquakes',
                'maxzoom': 9,
                'paint': {
                    // Increase the heatmap weight based on frequency and property magnitude
                    'heatmap-weight': [
                        'interpolate',
                        ['linear'],
                        ['get', 'mag'],
                        0,
                        0,
                        6,
                        1
                    ],
                    // Increase the heatmap color weight weight by zoom level
                    // heatmap-intensity is a multiplier on top of heatmap-weight
                    'heatmap-intensity': [
                        'interpolate',
                        ['linear'],
                        ['zoom'],
                        0,
                        1,
                        9,
                        3
                    ],
                    // Color ramp for heatmap.  Domain is 0 (low) to 1 (high).
                    // Begin color ramp at 0-stop with a 0-transparancy color
                    // to create a blur-like effect.
                    'heatmap-color': [
                        'interpolate',
                        ['linear'],
                        ['heatmap-density'],
                        0,
                        'rgba(33,102,172,0)',
                        0.2,
                        'rgb(103,169,207)',
                        0.4,
                        'rgb(209,229,240)',
                        0.6,
                        'rgb(253,219,199)',
                        0.8,
                        'rgb(239,138,98)',
                        1,
                        'rgb(178,24,43)'
                    ],
                    // Adjust the heatmap radius by zoom level
                    'heatmap-radius': [
                        'interpolate',
                        ['linear'],
                        ['zoom'],
                        0,
                        2,
                        9,
                        100
                    ],
                    // Transition from heatmap to circle layer by zoom level
                    'heatmap-opacity': [
                        'interpolate',
                        ['linear'],
                        ['zoom'],
                        7,
                        1,
                        9,
                        0
                    ]
                }
            },
            'waterway-label'
        );

        map.addLayer(
            {
                'id': 'earthquakes-point',
                'type': 'circle',
                'source': 'earthquakes',
                'minzoom': 7,
                'paint': {
                    // Size circle radius by earthquake magnitude and zoom level
                    'circle-radius': [
                        'interpolate',
                        ['linear'],
                        ['zoom'],
                        7,
                        ['interpolate', ['linear'], ['get', 'mag'], 1, 1, 6, 4],
                        16,
                        ['interpolate', ['linear'], ['get', 'mag'], 1, 5, 6, 50]
                    ],
                    // Color circle by earthquake magnitude
                    'circle-color': [
                        'interpolate',
                        ['linear'],
                        ['get', 'mag'],
                        1,
                        'rgba(33,102,172,0)',
                        2,
                        'rgb(103,169,207)',
                        3,
                        'rgb(209,229,240)',
                        4,
                        'rgb(253,219,199)',
                        5,
                        'rgb(239,138,98)',
                        6,
                        'rgb(178,24,43)'
                    ],
                  //  'circle-stroke-color': 'white',
                    //'circle-stroke-width': 1,
                    // Transition from heatmap to circle layer by zoom level
                    'circle-opacity': [
                        'interpolate',
                        ['linear'],
                        ['zoom'],
                        7,
                        0,
                        8,
                        1
                    ]
                }
            },
            'waterway-label'
        );





// console.log(geojson.features[0].geometry.coordinates)

/*var source  = {
'type': 'geojson',
'data': {
'type': 'Feature',
'geometry': {
'type': 'Polygon',
'coordinates': geojson.features[0].geometry.coordinates
}
}
}*/

/*var source_name = 'source_'+i;
var outline_name = 'source_outline_'+i;*/

//map.addSource(source_name, source);



// Add a new layer to visualize the polygon.
/*map.addLayer({
'id': source_name,
'type': 'fill',
'source':source_name,
'layout': {},
'paint': {
'fill-color': 'red', // blue color fill
'fill-opacity': 0.5
}
});
// Add a black outline around the polygon.
map.addLayer({
'id': outline_name,
'type': 'line',
'source': source_name,
'layout': {},
'paint': {
'line-color': 'red',
'line-width': 3
}
});*/



/*
var source  = {
'type': 'geojson',
'data': {
'type': 'FeatureCollection',
'features': coordinate_data,
}
}*/



/*  map.addSource('circleData', source);

// add a layer that displays the data
    map.addLayer({
    id: 'data',
    type: 'circle',
    source: 'circleData',
    paint: {
      'circle-color': 'red',
      'circle-radius': 50,
      'circle-stroke-width': 1,
      'circle-stroke-color': 'red',
   },
  });*/


});





});






</script>




                    @endsection