@extends('AdminLayout')
@section('content')

<div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Admin</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Admin</h4>
                                </div>
                            </div>
                        </div>

                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Users</h4>
                                            </div>
                                            <div class="col-md-6 text-right">
                                                <a href="{{ route('Users.create') }}"  class="btn btn-primary btn-rounded  ">Add New User <i class="fe-arrow-right"></i></a>
                                            </div>
                                        </div>
                                        
                                        
                                        <table id="customer_data" class="table dt-responsive nowrap w-100">
                                            <thead class="thead-light">
                                                <tr>
                                                    <th>Name</th>
                                                    <th>Email</th>
                                                    <th>Phone</th>
                                                    <th>Role</th>
                                                    <th>Status</th>
                                                    <th>Created at</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                                
                                                
                                                
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>

                                                                               
                                            <div class="modal fade" id="centermodal" tabindex="-1" role="dialog" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                    </div>

                                                     <form class="w3-container" action="" method="POST" id="delete_form">
                                                            {{method_field('DELETE')}}                                                            
                                                            @csrf
                                                            </form>

                                                    <div class="modal-body m-4">
                                                        <div class="text-center">
                                                            <div class="delete-icon-box">
                                                                <i class="dripicons-trash"></i>
                                                            </div>
                                                            <h2 class="mt-2 mb-2">Delete</h2>
                                                             <h4 class="mt-2 mb-2">Are you sure you want to delete?  </h4>
                                                             <input type="hidden" value="" id="delete-id">
                                                            <button type="submit"  id="delete-yes" class=" btn btn-primary btn-rounded mr-3" data-dismiss="modal">Yes</button> 
                                                            <button type="submit"  id="delete-no"  class=" btn btn-outline-primary btn-rounded waves-effect waves-light" data-dismiss="modal" aria-hidden="true">No</button> 
                                                        </div>
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->



                        <!-- end row-->
                        <!-- End Page Body -->
                    </div> <!-- container -->

 <script>
        $(document).ready(function () {

            fill_datatable();

            function fill_datatable() {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('Users.index') }}",

                    },

                    columns: [
                        {
                            data: 'name',
                            name: 'name',
                            //visible:false
                        },

                        {
                            data: 'email',
                            name: 'email'
                        },
                        {
                            data: 'phone',
                            name: 'phone'
                        },
                        {
                            data: 'role_name',
                            name: 'role_name'
                        },

                        {

                            data: 'active_id',
                            render: function (data, type, row, meta) {
                                if (data == "1") {
                                    return '<span class="badge badge-soft-success">' + row.active + '</span>';
                                } else if (data == "0") {
                                    return '<span class="badge badge-danger">' + row.active + '</span>';
                                }

                            }
                        },
                            {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },
                        {
                            orderable: false,
                            className: "dt-nowrap",
                            targets: -1,
                            data: 'id',
                            width: 150,
                            render: function (data, type, row, meta) {
                                return '<input id="name_' + row.id + '" type="hidden" value="' + row.name + '">' +
                                    '<a  href="void:javascript" id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="edit button-icon editicon"> <i class="fe-edit-1"></i> </a>' +
                                    '&nbsp;<a  href="void:javascript" id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="button-icon deleteicon delete"> <i class="fe-trash-2"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon view viewicon"> <i class="fa fa-eye"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' class="passowrd_reset resetpass">Reset Password</a>'


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }

                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                //document.getElementById('response').innerHTML = loader;
                //document.getElementById('edit_modal').style.display = 'block';
                var id = $(this).attr('id');
                window.location.href  = "{{URL('/Users')}}" + "/" + id
                $.ajax({
                    type: 'GET',
                    url: "{{URL('/Users')}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {

                        document.getElementById('response').innerHTML = data;

                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                //document.getElementById('response').innerHTML = loader;
                //document.getElementById('edit_modal').style.display = 'block';
                window.location.href  = "{{URL('/Users')}}" + "/" + id + "/edit"
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL('/Users')}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {

                        document.getElementById('response').innerHTML = data;

                    }
                });
            });
            $('#customer_data tbody').on('click', '.resetpass', function (e) {
                var id = $(this).attr('id');
                window.location.href="{{URL('/Users')}}" + "/" + id + "/edit"
                e.preventDefault();
                document.getElementById('response').innerHTML = loader;
                document.getElementById('edit_modal').style.display = 'block';
                
                $.ajax({
                    type: 'GET',
                    url: "{{URL('/ResetPass')}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {

                        document.getElementById('response').innerHTML = data;


                    }
                });

            });


            $('#customer_data tbody').on('click', '.delete', function (e) {

                e.preventDefault();
                 var id = $(this).attr('id');
                $('#centermodal').modal('show')
                $('#delete-id').val(id)


            });


                $('#delete-no').on('click', function (e) {

                $('#centermodal').modal('hide')


            });


                $('#delete-yes').on('click', function (e) {
                e.preventDefault();                
                var delete_id = $('#delete-id').val();
                document.getElementById('delete_form').action = "{{URL('/Users')}}" + "/" + delete_id;
                $("#delete_form").submit();
                        


            });


            


        });

        function add() {
            document.getElementById('response').innerHTML = loader;
            document.getElementById('edit_modal').style.display = 'block';
            $.ajax({
                type: 'GET',
                url: "{{URL("/Users/create")}}",
                contentType: "html",
                dataType: 'html',
                success: function (data) {

                    document.getElementById('response').innerHTML = data;
                }
            });
        }

    </script>

@endsection




