<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Confirm OPT | Muhrah</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- pincode jQuery  -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/pincode-input@0.4.2/dist/pincode-input.min.css" />



        <link rel="shortcut icon" href="{{asset("/images/faviconico")}}">

        <!-- App css -->
        <link href="{{asset("/css/bootstrap.min.css")}}" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />
        <link href="{{asset("/css/app.min.css")}}" rel="stylesheet" type="text/css" id="app-default-stylesheet" />
        
        <!-- Custom Stylesheet -->
        <link href="{{asset("/css/style.css")}}" rel="stylesheet" type="text/css" id="custom-stylesheet" />

        <!-- icons -->
        <link href="{{asset("/css/icons.min.css")}}" rel="stylesheet" type="text/css" />



    </head>

    <body>

        <div class="account-pages mt-5 mb-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-8 col-lg-5 col-xl-5">
                        <div class="card">

                            <div class="card-body p-4">  

                                <div class=" ">
                                     @include('pages.messages')
                                                                          @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                                    <div class="language-switcher text-right">
                                     
                                    </div>
                                    <div class="auth-logo mt-4">
                                        <a href="#" class="logo  ">
                                            <span class="logo-lg">
                                                <img src="{{asset("/images/logo.png")}}" alt="" height="94">
                                            </span>
                                        </a>
                                    </div>
                                    
                                    <div class="text-left mt-4 ">
                                        <h2 class="font-weight-bold">Set New Password</h2>
                                    </div>
                                </div>

                                <form method="POST" action="{{ route('update_password') }}" id="forgot_passwordpin">
                                    @csrf
                                    <div class="form-group mb-3">
                                        <label for="pincode">OTP</label>
                                        <input type="hidden" id="otp" name="otp">
                                        <input type="hidden" id="user_id" name="user_id" value="{{ request()->route('user_id') ?? 0 }}">
                                        
                                        <div id="pincode-input-container-1"></div>
                                    </div>
                                    <hr>
                                    <div class="form-group mb-3">
                                        <label for="password">Password</label>
                                        <div class="input-group ">
                                            <input type="password" id="new_password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password"" placeholder="Enter your password">
                                           @error('password')
                                            <span class="form-icon display-none"><i class="fas fa-lock"></i>
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="form-group mb-3">
                                        <label for="password">Confirm Password</label>
                                        <div class="input-group ">
                                            <input type="password" id="confirm_password" class="form-control" placeholder="Enter your password" name="confirm_password" required autocomplete="new-password">
                                            <span class="form-icon"><i class="fas fa-lock"></i></span>
                                        </div>
                                    </div>

                                    <div class="form-group mb-4 text-center">
                                        <button class="btn btn-primary btn-rounded waves-effect waves-light btn-block" type="submit">{{ __('Reset Password') }}</button>
                                    </div>

                                </form>

                            </div> <!-- end card-body -->
                        </div>
                        <!-- end card -->

                    </div> <!-- end col -->
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end page -->

        

        <script src="{{asset("/js/vendor.min.js")}}"></script>

        <!-- App js -->
        <script src="{{asset("/js/app.min.js")}}"></script>

        <!-- Pincode CDN JS -->
        <script src="https://cdn.jsdelivr.net/npm/pincode-input@0.4.2/dist/pincode-input.min.js"></script>

        <!-- Custom Page JS code -->
        <script>
            new PincodeInput('#pincode-input-container-1', {
              count: 4,
              secure: true,
              previewDuration: 200,
              onInput: (value) => {
                console.log(value)
                $('#otp').val(value)

              }
            })
      
            new PincodeInput('#pincode-input-container-2', {
              count: 6,
              secure: false,
              numeric: false,
              previewDuration: 200
            })
          </script>
        
    </body>
</html>