<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\Auth\ForgotPasswordController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\DriversController;
use App\Http\Controllers\PassengersController;
use App\Http\Controllers\DriverVehiclesController;
use App\Http\Controllers\BookingRequestsController;

Route::get('/', 'PagesController@index')->name('main');
Route::get('/home', 'PagesController@index');

Route::get('/about', 'PagesController@about');
Route::resource('/UsersRole', 'UsersRoleController');
Route::resource('/Users', 'UsersController');
Route::get('/UsersPrivilage', 'UsersPrivilegeController@index');
Route::post('/UsersPrivilage', 'UsersPrivilegeController@store')->name('save_privilage');
Route::resource('/Passengers', 'PassengersController');
Route::get('/PassengerChart', 'PassengerChartController@index');
Route::resource('/Drivers', 'DriversController');
Route::resource('/DriverVehicles', 'DriverVehiclesController');
Route::get('/getcarbrandsub/{barand_id}', 'DriverVehiclesController@getcarbrandsub');
Route::get('/DriverWindow', 'DriverWindowController@index');
Route::resource('/BookingRequests', 'BookingRequestsController');
Route::get('/PassengerWindow', 'PassengerWindowController@index');
Route::resource('/Trips', 'TripsController');
Route::get('/DriverVehicleWindow', 'DriverVehiclesController@index');
Route::get('driverTracking/{page}', 'BookingRequestsController@driverTracking');
Route::resource('/CarTypes', 'CarTypesController');
Route::get('/ResetPass/{id}', 'UsersController@ResetPass');
Route::POST('/SaveResetPass', 'UsersController@SaveResetPass');
Route::resource('/BookingReceipts', 'BookingReceiptsController');
Route::get('/RequestNotifications/{id}', 'BookingRequestsController@RequestNotifications');
Route::resource('/Settings', 'SettingsController');
Route::resource('/DriverVerification', 'DriverVerificationController');
Route::resource('/PassengerVerification', 'PassengerVerificationController');
Route::get('/DriverChart', 'DriverChartController@index');
Route::get('/DriverVehicleChart', 'DriverVehicleChartController@index');
Route::get('/BookingRequestChart', 'BookingRequestChartController@index');
Route::get('/TripChart', 'TripChartController@index');
Route::resource('/DailyDriverRegistration', 'DailyDriverRegistrationController');
Route::resource('/DailyPassengerRegistration', 'DailyPassengerRegistrationController');
Route::resource('/Orders', 'OrdersController');
Route::resource('/OrderReceipts', 'OrderReceiptsController');
Auth::routes();
Route::post('/verify_user', [ForgotPasswordController::class, 'verify_user'])->name('verify_user');
Route::get('/reset_password/{user_id}', [ForgotPasswordController::class, 'reset_password'])->name('reset_password');
Route::post('/update_password', [ForgotPasswordController::class, 'update_password'])->name('update_password');
Route::get('/logout', [LoginController::class, 'logout_view'])->name('logout_view');
Route::get('/get_drivers', [DriversController::class, 'get_drivers'])->name('get_drivers');
Route::get('/get_passengers', [PassengersController::class, 'get_passengers'])->name('get_passengers');
Route::get('/get_vehicles', [DriverVehiclesController::class, 'get_vehicles'])->name('get_vehicles');
Route::get('/get_bookings', [BookingRequestsController::class, 'get_bookings'])->name('get_bookings');
Route::get('/get_paginate_bookings/{page}', [BookingRequestsController::class, 'get_paginate_bookings'])->name('get_paginate_bookings');
Route::get('/get_booking_by_id/{id}', [BookingRequestsController::class, 'get_booking_by_id'])->name('get_booking_by_id');


Route::get('/getdriversData/{id}', [DriversController::class, 'getdriversData'])->name('getdriversData');
Route::get('/getBookingDetails/{id}', [BookingRequestsController::class, 'getBookingDetails'])->name('getBookingDetails');
//Route::get('/getBookingPassengers', [BookingRequestsController::class, 'getBookingPassengers'])->name('getBookingPassengers');

Route::get('/heatMap', [DriversController::class, 'heatMap'])->name('heatMap');
Route::get('/getHeatCoordinates', [DriversController::class, 'getHeatCoordinates'])->name('getHeatCoordinates');
Route::get('/no_access', 'PagesController@no_access')->name('no_access');



